# Uses of Enum Class
org.springframework.beans.factory.aot.AotServices.Source

Packages that use AotServices.Source
Package
Description
org.springframework.beans.factory.aot
AOT support for bean factories.

## Uses of AotServices.Source in org.springframework.beans.factory.aot

Methods in org.springframework.beans.factory.aot that return AotServices.Source
Modifier and Type
Method
Description
`AotServices.Source`
AotServices.`getSource(T service)`
Get the source of the given service.
`static AotServices.Source`
AotServices.Source.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AotServices.Source[]`
AotServices.Source.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.